#debuginfo not supported with Go
%global debug_package %{nil}
# modifying the Go binaries breaks the DWARF debugging
%global __os_install_post %{_rpmconfigdir}/brp-compress

%global gopath      %{_datadir}/gocode
%global import_path github.com/openshift/origin
%global sdn_import_path github.com/openshift/openshift-sdn
# The following should only be used for cleanup of sdn-ovs upgrades
%global kube_plugin_path /usr/libexec/kubernetes/kubelet-plugins/net/exec/redhat~openshift-ovs-subnet

# docker_version is the version of docker requires by packages
%global docker_version 1.9.1
# tuned_version is the version of tuned requires by packages
%global tuned_version  2.3
# openvswitch_version is the version of openvswitch requires by packages
%global openvswitch_version 2.3.1
# this is the version we obsolete up to. The packaging changed for Origin
# 1.0.6 and OSE 3.1 such that 'openshift' package names were no longer used.
%global package_refector_version 3.0.2.900
# %commit and %ldflags are intended to be set by tito custom builders provided
# in the .tito/lib directory. The values in this spec file will not be kept up to date.
%{!?commit:
%global commit 0ec0c6c879de32332fabca13ba91a6dc4d55bf99
}
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# ldflags from hack/common.sh os::build:ldflags
%{!?ldflags:
%global ldflags -X github.com/openshift/origin/pkg/version.majorFromGit 1 -X github.com/openshift/origin/pkg/version.minorFromGit 1+ -X github.com/openshift/origin/pkg/version.versionFromGit v1.1.6-3-g9c5694f -X github.com/openshift/origin/pkg/version.commitFromGit 9c5694f -X k8s.io/kubernetes/pkg/version.gitCommit 9c5694f -X k8s.io/kubernetes/pkg/version.gitVersion v1.2.0-36-g4a3f9c5
}

%if 0%{?fedora} || 0%{?epel}
%global make_redistributable 0
%else
%global make_redistributable 1
%endif

%if "%{dist}" == ".el7aos"
%global package_name atomic-openshift
%global product_name Atomic OpenShift
%else
%global package_name origin
%global product_name Origin
%endif

Name:           %{package_name}
# Version is not kept up to date and is intended to be set by tito custom
# builders provided in the .tito/lib directory of this project
Version:        1.1.6
Release:        1.git.9999.9c5694f%{?dist}
Summary:        Open Source Container Management by Red Hat
License:        ASL 2.0
URL:            https://%{import_path}
ExclusiveArch:  x86_64
Source0: origin-git-9999.9c5694f.tar.gz
BuildRequires:  systemd
BuildRequires:  golang >= 1.4
Requires:       %{name}-clients = %{version}-%{release}
Requires:       iptables
Obsoletes:      openshift < %{package_refector_version}

#
# The following Bundled Provides entries are populated automatically by the
# OpenShift Origin tito custom builder found here:
#   https://github.com/openshift/origin/blob/master/.tito/lib/origin/builder/
#
# These are defined as per:
# https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
#
Provides: bundled(golang(bitbucket.org/ww/goautoneg)) = 75cd24fc2f2c2a2088577d12123ddee5f54e0675
Provides: bundled(golang(github.com/AaronO/go-git-http)) = 0ebecedc64b67a3a8674c56724082660be48216e
Provides: bundled(golang(github.com/AdRoll/goamz/aws)) = aa6e716d710a0c7941cb2075cfbb9661f16d21f1
Provides: bundled(golang(github.com/AdRoll/goamz/cloudfront)) = aa6e716d710a0c7941cb2075cfbb9661f16d21f1
Provides: bundled(golang(github.com/AdRoll/goamz/s3)) = aa6e716d710a0c7941cb2075cfbb9661f16d21f1
Provides: bundled(golang(github.com/Azure/azure-sdk-for-go/storage)) = 97d9593768bbbbd316f9c055dfc5f780933cd7fc
Provides: bundled(golang(github.com/ClusterHQ/flocker-go)) = 1c0a791b33bdc01d062b376612aa04e27eed7eb3
Provides: bundled(golang(github.com/MakeNowJust/heredoc)) = 1d91351acdc1cb2f2c995864674b754134b86ca7
Provides: bundled(golang(github.com/RangelReale/osin)) = c07b3bd1ee57089f63e6325c0ea035ceed2e905c
Provides: bundled(golang(github.com/RangelReale/osincli)) = 23618ea0fc3faa3f43954ce8ff48e31f5c784212
Provides: bundled(golang(github.com/Sirupsen/logrus)) = aaf92c95712104318fc35409745f1533aa5ff327
Provides: bundled(golang(github.com/Sirupsen/logrus/formatters/logstash)) = aaf92c95712104318fc35409745f1533aa5ff327
Provides: bundled(golang(github.com/abbot/go-http-auth)) = c0ef4539dfab4d21c8ef20ba2924f9fc6f186d35
Provides: bundled(golang(github.com/appc/cni/libcni)) = 2a58bd9379ca33579f0cf631945b717aa4fa373d
Provides: bundled(golang(github.com/appc/cni/pkg/invoke)) = 2a58bd9379ca33579f0cf631945b717aa4fa373d
Provides: bundled(golang(github.com/appc/cni/pkg/types)) = 2a58bd9379ca33579f0cf631945b717aa4fa373d
Provides: bundled(golang(github.com/appc/spec/schema)) = 5d54e27f1764a0309eafe12c9df7bac03f241646
Provides: bundled(golang(github.com/armon/go-metrics)) = 345426c77237ece5dab0e1605c3e4b35c3f54757
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/endpoints)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/ec2query)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/json/jsonutil)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/jsonrpc)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/query)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/rest)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/xml/xmlutil)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/signer/v4)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/waiter)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/autoscaling)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/ec2)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/ecr)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/elb)) = bf2f8fe7f45e68017086d069498638893feddf64
Provides: bundled(golang(github.com/beorn7/perks/quantile)) = b965b613227fddccbfffe13eae360ed3fa822f8d
Provides: bundled(golang(github.com/blang/semver)) = 31b736133b98f26d5e078ec9eb591666edfd091f
Provides: bundled(golang(github.com/boltdb/bolt)) = ee4a0888a9abe7eefe5a0992ca4cb06864839873
Provides: bundled(golang(github.com/camlistore/go4/errorutil)) = 3b6feb5cf32f573fb124905de36a54c24ee14ac1
Provides: bundled(golang(github.com/coreos/etcd/client)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/discovery)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/error)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/etcdserver)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/crc)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/fileutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/httputil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/idutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/ioutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/netutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/osutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/pathutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/pbutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/runtime)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/timeutil)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/transport)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/types)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/pkg/wait)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/raft)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/rafthttp)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/snap)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/storage)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/store)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/version)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/etcd/wal)) = bc9ddf260115d2680191c46977ae72b837785472
Provides: bundled(golang(github.com/coreos/go-etcd/etcd)) = 003851be7bb0694fe3cc457a49529a19388ee7cf
Provides: bundled(golang(github.com/coreos/go-oidc/http)) = 024cdeee09d02fb439eb55bc422e582ac115615b
Provides: bundled(golang(github.com/coreos/go-oidc/jose)) = 024cdeee09d02fb439eb55bc422e582ac115615b
Provides: bundled(golang(github.com/coreos/go-oidc/key)) = 024cdeee09d02fb439eb55bc422e582ac115615b
Provides: bundled(golang(github.com/coreos/go-oidc/oauth2)) = 024cdeee09d02fb439eb55bc422e582ac115615b
Provides: bundled(golang(github.com/coreos/go-oidc/oidc)) = 024cdeee09d02fb439eb55bc422e582ac115615b
Provides: bundled(golang(github.com/coreos/go-semver/semver)) = d043ae190b3202550d026daf009359bb5d761672
Provides: bundled(golang(github.com/coreos/go-systemd/activation)) = b4a58d95188dd092ae20072bac14cece0e67c388
Provides: bundled(golang(github.com/coreos/go-systemd/daemon)) = b4a58d95188dd092ae20072bac14cece0e67c388
Provides: bundled(golang(github.com/coreos/go-systemd/dbus)) = b4a58d95188dd092ae20072bac14cece0e67c388
Provides: bundled(golang(github.com/coreos/go-systemd/journal)) = b4a58d95188dd092ae20072bac14cece0e67c388
Provides: bundled(golang(github.com/coreos/go-systemd/unit)) = b4a58d95188dd092ae20072bac14cece0e67c388
Provides: bundled(golang(github.com/coreos/go-systemd/util)) = b4a58d95188dd092ae20072bac14cece0e67c388
Provides: bundled(golang(github.com/coreos/pkg/capnslog)) = fa94270d4bac0d8ae5dc6b71894e251aada93f74
Provides: bundled(golang(github.com/coreos/pkg/health)) = fa94270d4bac0d8ae5dc6b71894e251aada93f74
Provides: bundled(golang(github.com/coreos/pkg/httputil)) = fa94270d4bac0d8ae5dc6b71894e251aada93f74
Provides: bundled(golang(github.com/coreos/pkg/timeutil)) = fa94270d4bac0d8ae5dc6b71894e251aada93f74
Provides: bundled(golang(github.com/coreos/rkt/api/v1alpha)) = 1ddc36601c8688ff207210bc9ecbf973d09573fa
Provides: bundled(golang(github.com/cpuguy83/go-md2man/md2man)) = 71acacd42f85e5e82f70a55327789582a5200a90
Provides: bundled(golang(github.com/davecgh/go-spew/spew)) = 3e6e67c4dcea3ac2f25fd4731abc0e1deaf36216
Provides: bundled(golang(github.com/daviddengcn/go-colortext)) = b5c0891944c2f150ccc9d02aecf51b76c14c2948
Provides: bundled(golang(github.com/dgrijalva/jwt-go)) = 5ca80149b9d3f8b863af0e2bb6742e608603bd99
Provides: bundled(golang(github.com/docker/distribution)) = e6c60e79c570f97ef36f280fcebed497682a5f37
Provides: bundled(golang(github.com/docker/docker/builder/command)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/builder/parser)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/jsonmessage)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/mount)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/parsers)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/symlink)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/tarsum)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/term)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/timeutils)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/units)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/go-units)) = 0bbddae09c5a5419a8c6dcdd7ff90da3d450393b
Provides: bundled(golang(github.com/docker/libtrust)) = c54fbb67c1f1e68d7d6f8d2ad7c9360404616a41
Provides: bundled(golang(github.com/docker/spdystream)) = 449fdfce4d962303d702fec724ef0ad181c92528
Provides: bundled(golang(github.com/docker/spdystream/spdy)) = 449fdfce4d962303d702fec724ef0ad181c92528
Provides: bundled(golang(github.com/elazarl/go-bindata-assetfs)) = 3dcc96556217539f50599357fb481ac0dc7439b9
Provides: bundled(golang(github.com/elazarl/goproxy)) = 07b16b6e30fcac0ad8c0435548e743bcf2ca7e92
Provides: bundled(golang(github.com/emicklei/go-restful)) = 777bb3f19bcafe2575ffb2a3e46af92509ae9594
Provides: bundled(golang(github.com/evanphx/json-patch)) = 7dd4489c2eb6073e5a9d7746c3274c5b5f0387df
Provides: bundled(golang(github.com/fsouza/go-dockerclient)) = 0099401a7342ad77e71ca9f9a57c5e72fb80f6b2
Provides: bundled(golang(github.com/garyburd/redigo/internal)) = 535138d7bcd717d6531c701ef5933d98b1866257
Provides: bundled(golang(github.com/garyburd/redigo/redis)) = 535138d7bcd717d6531c701ef5933d98b1866257
Provides: bundled(golang(github.com/getsentry/raven-go)) = 86cd4063c535cbbcbf43d84424dbd5911ab1b818
Provides: bundled(golang(github.com/ghodss/yaml)) = 73d445a93680fa1a78ae23a5839bad48f32ba1ee
Provides: bundled(golang(github.com/go-ini/ini)) = 2e44421e256d82ebbf3d4d4fcabe8930b905eff3
Provides: bundled(golang(github.com/godbus/dbus)) = c7fdd8b5cd55e87b4e1f4e372cdb1db61dd6c66f
Provides: bundled(golang(github.com/gogo/protobuf/proto)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/golang/glog)) = 44145f04b68cf362d9c4df2182967c2275eaefed
Provides: bundled(golang(github.com/golang/groupcache/lru)) = 604ed5785183e59ae2789449d89e73f3a2a77987
Provides: bundled(golang(github.com/golang/protobuf/proto)) = b982704f8bb716bb608144408cff30e15fbde841
Provides: bundled(golang(github.com/gonum/blas)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/graph)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/internal/asm)) = 5b84ddfb9d3e72d73b8de858c97650be140935c0
Provides: bundled(golang(github.com/gonum/lapack)) = 88ec467285859a6cd23900147d250a8af1f38b10
Provides: bundled(golang(github.com/gonum/matrix/mat64)) = fb1396264e2e259ff714a408a7b0142d238b198d
Provides: bundled(golang(github.com/google/btree)) = cc6329d4279e3f025a53a83c397d2339b5705c45
Provides: bundled(golang(github.com/google/cadvisor/api)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/cache/memory)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/collector)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/container)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/container/docker)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/container/libcontainer)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/container/raw)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/events)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/fs)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/healthz)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/http)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/http/mux)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/info/v1)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/info/v1/test)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/info/v2)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/manager)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/metrics)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/pages)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/pages/static)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/storage)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/summary)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils/cloudinfo)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils/cpuload)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils/cpuload/netlink)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils/machine)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils/oomparser)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils/sysfs)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/utils/sysinfo)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/validate)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/cadvisor/version)) = 546a3771589bdb356777c646c6eca24914fdd48b
Provides: bundled(golang(github.com/google/gofuzz)) = bbcb9da2d746f8bdbd6a936686a0a6067ada0ec5
Provides: bundled(golang(github.com/gorilla/context)) = 215affda49addc4c8ef7e2534915df2c8c35c6cd
Provides: bundled(golang(github.com/gorilla/handlers)) = 4ef72b2795a418935d497c8db213080be06f8850
Provides: bundled(golang(github.com/gorilla/mux)) = 8096f47503459bcc74d1f4c487b7e6e42e5746b5
Provides: bundled(golang(github.com/gorilla/securecookie)) = 1b0c7f6e9ab3d7f500fd7d50c7ad835ff428139b
Provides: bundled(golang(github.com/gorilla/sessions)) = aa5e036e6c44aec69a32eb41097001978b29ad31
Provides: bundled(golang(github.com/hashicorp/go-msgpack/codec)) = fa3f63826f7c23912c15263591e65d54d080b458
Provides: bundled(golang(github.com/hashicorp/golang-lru)) = a0d98a5f288019575c6d1f4bb1573fef2d1fcdc4
Provides: bundled(golang(github.com/hashicorp/golang-lru/simplelru)) = a0d98a5f288019575c6d1f4bb1573fef2d1fcdc4
Provides: bundled(golang(github.com/hashicorp/raft)) = 057b893fd996696719e98b6c44649ea14968c811
Provides: bundled(golang(github.com/hashicorp/raft-boltdb)) = d1e82c1ec3f15ee991f7cc7ffd5b67ff6f5bbaee
Provides: bundled(golang(github.com/hawkular/hawkular-client-go/metrics)) = 1d46ce7e1eca635f372357a8ccbf1fa7cc28b7d2
Provides: bundled(golang(github.com/imdario/mergo)) = 6633656539c1639d9d78127b7d47c622b5d7b6dc
Provides: bundled(golang(github.com/inconshreveable/mousetrap)) = 76626ae9c91c4f2a10f34cad8ce83ea42c93bb75
Provides: bundled(golang(github.com/influxdb/influxdb/client)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/influxql)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/meta)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/snapshot)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/toml)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/tsdb)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/jmespath/go-jmespath)) = 3433f3ea46d9f8019119e7dd41274e112a2359a9
Provides: bundled(golang(github.com/jonboulle/clockwork)) = 3f831b65b61282ba6bece21b91beea2edc4c887a
Provides: bundled(golang(github.com/jteeuwen/go-bindata)) = bfe36d3254337b7cc18024805dfab2106613abdf
Provides: bundled(golang(github.com/juju/ratelimit)) = 77ed1c8a01217656d2080ad51981f6e99adaa177
Provides: bundled(golang(github.com/kr/pty)) = f7ee69f31298ecbe5d2b349c711e2547a617d398
Provides: bundled(golang(github.com/matttproud/golang_protobuf_extensions/pbutil)) = fc2b8d3a73c4867e51861bbdd5ae3c1f0869dd6a
Provides: bundled(golang(github.com/mesos/mesos-go/detector)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/detector/zoo)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/mesosproto)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/mesosutil)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/upid)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/miekg/dns)) = 46e689ee1104f5db16a173a798fb0f0ee5c7d3ef
Provides: bundled(golang(github.com/mistifyio/go-zfs)) = 1b4ae6fb4e77b095934d4430860ff202060169f8
Provides: bundled(golang(github.com/mitchellh/mapstructure)) = 740c764bc6149d3f1806231418adb9f52c11bcbf
Provides: bundled(golang(github.com/mxk/go-flowrate/flowrate)) = cca7078d478f8520f85629ad7c68962d31ed7682
Provides: bundled(golang(github.com/ncw/swift)) = c54732e87b0b283d1baf0a18db689d0aea460ba3
Provides: bundled(golang(github.com/onsi/ginkgo)) = 07d85e6b10c4289c7d612f9b13f45ba36f66d55b
Provides: bundled(golang(github.com/onsi/gomega)) = 8adf9e1730c55cdc590de7d49766cb2acc88d8f2
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/openshift/openshift-sdn/pkg/cmd/admin/network)) = 72d9ab84f4bf650d1922174e6a90bd06018003b4
Provides: bundled(golang(github.com/openshift/openshift-sdn/pkg/exec)) = 72d9ab84f4bf650d1922174e6a90bd06018003b4
Provides: bundled(golang(github.com/openshift/openshift-sdn/pkg/ipcmd)) = 72d9ab84f4bf650d1922174e6a90bd06018003b4
Provides: bundled(golang(github.com/openshift/openshift-sdn/pkg/netutils)) = 72d9ab84f4bf650d1922174e6a90bd06018003b4
Provides: bundled(golang(github.com/openshift/openshift-sdn/pkg/ovs)) = 72d9ab84f4bf650d1922174e6a90bd06018003b4
Provides: bundled(golang(github.com/openshift/openshift-sdn/plugins/osdn)) = 72d9ab84f4bf650d1922174e6a90bd06018003b4
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/api)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/docker)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/errors)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/ignore)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scripts)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/tar)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util)) = 641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96
Provides: bundled(golang(github.com/pborman/uuid)) = ca53cad383cad2479bbba7f7a1a05797ec1386e4
Provides: bundled(golang(github.com/pkg/profile)) = c795610ec6e479e5795f7852db65ea15073674a6
Provides: bundled(golang(github.com/pmezard/go-difflib/difflib)) = d8ed2627bdf02c080bf22230dbb337003b7aba2d
Provides: bundled(golang(github.com/prometheus/client_golang/prometheus)) = 3b78d7a77f51ccbc364d4bc170920153022cfd08
Provides: bundled(golang(github.com/prometheus/client_model/go)) = fa8ad6fec33561be4280a8f0514318c79d7f6cb6
Provides: bundled(golang(github.com/prometheus/common/expfmt)) = ef7a9a5fb138aa5d3a19988537606226869a0390
Provides: bundled(golang(github.com/prometheus/common/model)) = ef7a9a5fb138aa5d3a19988537606226869a0390
Provides: bundled(golang(github.com/prometheus/procfs)) = 490cc6eb5fa45bf8a8b7b73c8bc82a8160e8531d
Provides: bundled(golang(github.com/rackspace/gophercloud)) = f92863476c034f851073599c09d90cd61ee95b3d
Provides: bundled(golang(github.com/russross/blackfriday)) = 8cec3a854e68dba10faabbe31c089abf4a3e57a6
Provides: bundled(golang(github.com/samuel/go-zookeeper/zk)) = 177002e16a0061912f02377e2dd8951a8b3551bc
Provides: bundled(golang(github.com/scalingdata/gcfg)) = 37aabad69cfd3d20b8390d902a8b10e245c615ff
Provides: bundled(golang(github.com/seccomp/libseccomp-golang)) = 1b506fc7c24eec5a3693cdcbed40d9c226cfc6a1
Provides: bundled(golang(github.com/shurcooL/sanitized_anchor_name)) = 244f5ac324cb97e1987ef901a0081a77bfd8e845
Provides: bundled(golang(github.com/skynetservices/skydns/backends/etcd)) = bb2ebadc9746f23e4a296e3cbdb8c01e956baee1
Provides: bundled(golang(github.com/skynetservices/skydns/cache)) = bb2ebadc9746f23e4a296e3cbdb8c01e956baee1
Provides: bundled(golang(github.com/skynetservices/skydns/msg)) = bb2ebadc9746f23e4a296e3cbdb8c01e956baee1
Provides: bundled(golang(github.com/skynetservices/skydns/server)) = bb2ebadc9746f23e4a296e3cbdb8c01e956baee1
Provides: bundled(golang(github.com/spf13/cobra)) = 1c44ec8d3f1552cac48999f9306da23c4d8a288b
Provides: bundled(golang(github.com/spf13/pflag)) = 08b1a584251b5b62f458943640fc8ebd4d50aaa5
Provides: bundled(golang(github.com/stevvooe/resumable)) = 51ad44105773cafcbe91927f70ac68e1bf78f8b4
Provides: bundled(golang(github.com/stretchr/objx)) = d40df0cc104c06eae2dfe03d7dddb83802d52f9a
Provides: bundled(golang(github.com/stretchr/testify/assert)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/stretchr/testify/mock)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/stretchr/testify/require)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/syndtr/gocapability/capability)) = 2c00daeb6c3b45114c80ac44119e7b8801fdd852
Provides: bundled(golang(github.com/ugorji/go/codec)) = f4485b318aadd133842532f841dc205a8e339d74
Provides: bundled(golang(github.com/ugorji/go/codec/codecgen)) = f4485b318aadd133842532f841dc205a8e339d74
Provides: bundled(golang(github.com/vishvananda/netlink)) = 1e2e08e8a2dcdacaae3f14ac44c5cfa31361f270
Provides: bundled(golang(github.com/vjeantet/asn1-ber)) = 85041cd0f4769ebf4a5ae600b1e921e630d6aff0
Provides: bundled(golang(github.com/vjeantet/ldapserver)) = 19fbc46ed12348d5122812c8303fb82e49b6c25d
Provides: bundled(golang(github.com/xiang90/probing)) = 6a0cc1ae81b4cc11db5e491e030e4b98fba79c19
Provides: bundled(golang(golang.org/x/crypto/bcrypt)) = c84e1f8e3a7e322d497cd16c0e8a13c7e127baf3
Provides: bundled(golang(golang.org/x/crypto/blowfish)) = c84e1f8e3a7e322d497cd16c0e8a13c7e127baf3
Provides: bundled(golang(golang.org/x/crypto/ssh)) = c84e1f8e3a7e322d497cd16c0e8a13c7e127baf3
Provides: bundled(golang(golang.org/x/exp/inotify)) = d00e13ec443927751b2bd49e97dea7bf3b6a6487
Provides: bundled(golang(golang.org/x/net/context)) = c2528b2dd8352441850638a8bb678c2ad056fd3e
Provides: bundled(golang(golang.org/x/net/html)) = c2528b2dd8352441850638a8bb678c2ad056fd3e
Provides: bundled(golang(golang.org/x/net/http2)) = c2528b2dd8352441850638a8bb678c2ad056fd3e
Provides: bundled(golang(golang.org/x/net/internal/timeseries)) = c2528b2dd8352441850638a8bb678c2ad056fd3e
Provides: bundled(golang(golang.org/x/net/trace)) = c2528b2dd8352441850638a8bb678c2ad056fd3e
Provides: bundled(golang(golang.org/x/net/websocket)) = c2528b2dd8352441850638a8bb678c2ad056fd3e
Provides: bundled(golang(golang.org/x/oauth2)) = b5adcc2dcdf009d0391547edc6ecbaff889f5bb9
Provides: bundled(golang(golang.org/x/sys/unix)) = 833a04a10549a95dc34458c195cbad61bbb6cb4d
Provides: bundled(golang(google.golang.org/api/cloudmonitoring/v2beta2)) = 77e7d383beb96054547729f49c372b3d01e196ff
Provides: bundled(golang(google.golang.org/api/compute/v1)) = 77e7d383beb96054547729f49c372b3d01e196ff
Provides: bundled(golang(google.golang.org/api/container/v1)) = 77e7d383beb96054547729f49c372b3d01e196ff
Provides: bundled(golang(google.golang.org/api/gensupport)) = 77e7d383beb96054547729f49c372b3d01e196ff
Provides: bundled(golang(google.golang.org/api/googleapi)) = 77e7d383beb96054547729f49c372b3d01e196ff
Provides: bundled(golang(google.golang.org/cloud/compute/metadata)) = 2e43671e4ad874a7bca65746ff3edb38e6e93762
Provides: bundled(golang(google.golang.org/cloud/internal)) = 2e43671e4ad874a7bca65746ff3edb38e6e93762
Provides: bundled(golang(google.golang.org/grpc)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(gopkg.in/asn1-ber.v1)) = 4e86f4367175e39f69d9358a5f17b4dda270378d
Provides: bundled(golang(gopkg.in/ldap.v2)) = 07a7330929b9ee80495c88a4439657d89c7dbd87
Provides: bundled(golang(gopkg.in/yaml.v2)) = d466437aa4adc35830964cffc5b5f262c63ddcb4
Provides: bundled(golang(k8s.io/heapster/api/v1/types)) = 0991ac528ea24aae194e45d6dcf01896cb42cbea
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-apiserver/app)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-apiserver/app/options)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-controller-manager/app)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-controller-manager/app/options)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-proxy/app)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-proxy/app/options)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubelet/app)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubelet/app/options)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/admission)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/endpoints)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/errors)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/errors/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/meta)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/pod)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/resource)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/rest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/rest/resttest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/service)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/testapi)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/testing)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/unversioned)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/unversioned/validation)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/util)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/v1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/v1beta3)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/validation)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apimachinery)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apimachinery/registered)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/latest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/v0)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/v1beta1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization/v1beta1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/v1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/validation)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/v1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig/v1alpha1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/v1beta1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/validation)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/metrics/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/metrics/v1alpha1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/authenticator)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authenticator)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authenticator/bearertoken)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer/abac)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer/union)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/handlers)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/user)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/capabilities)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/cache)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/chaosclient)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/fake)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_2)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/leaderelection)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/record)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/restclient)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/testing/core)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/transport)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/discovery)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/dynamic)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/generated/core/unversioned)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/generated/core/unversioned/fake)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/generated/core/v1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/generated/extensions/unversioned)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/generated/extensions/unversioned/fake)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/generated/extensions/v1beta1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/auth)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api/latest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api/v1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/portforward)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/remotecommand)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/testclient)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/aws)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/gce)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/mesos)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/openstack)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/ovirt)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/rackspace)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/daemon)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/deployment)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/endpoint)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/framework)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/gc)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/job)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/namespace)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/node)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/persistentvolume)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/podautoscaler)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/podautoscaler/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/replicaset)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/replication)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/resourcequota)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/route)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/service)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/serviceaccount)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/conversion)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/conversion/queryparams)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider/aws)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider/gcp)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/fieldpath)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/fields)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/healthz)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/httplog)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/config)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/rollout)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util/editor)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util/jsonmerge)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/resource)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/api/v1alpha1/stats)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cadvisor)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cadvisor/testing)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/client)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cm)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/config)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/container)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/custommetrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/dockertools)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/envvars)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/leaky)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/lifecycle)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/cni)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/exec)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/hairpin)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/kubenet)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/pleg)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/pod)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/prober)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/prober/results)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/qos)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/qos/util)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/rkt)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/portforward)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/stats)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/status)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/types)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/format)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/queue)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/labels)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/master)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/master/ports)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/exec)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/http)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/tcp)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/config)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/iptables)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/userspace)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/evaluator/core)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/generic)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/install)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/cachesize)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/componentstatus)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/configmap)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/configmap/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/controller)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/controller/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/daemonset)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/daemonset/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/deployment)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/deployment/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/endpoint)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/endpoint/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/event)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/event/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/experimental/controller/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic/rest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/horizontalpodautoscaler)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/horizontalpodautoscaler/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/ingress)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/ingress/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/job)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/job/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/limitrange)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/limitrange/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/namespace)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/namespace/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/node)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/node/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/node/rest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolume)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolume/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolumeclaim)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolumeclaim/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/pod)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/pod/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/pod/rest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podsecuritypolicy)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podsecuritypolicy/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podtemplate)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podtemplate/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/registrytest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/replicaset)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/replicaset/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/resourcequota)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/resourcequota/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/secret)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/secret/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/securitycontextconstraints)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/securitycontextconstraints/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/allocator)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/allocator/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/ipallocator)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/ipallocator/controller)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/portallocator)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/portallocator/controller)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/serviceaccount)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/serviceaccount/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresource)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresource/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresourcedata)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresourcedata/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/json)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/recognizer)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/versioning)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontext)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/capabilities)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/group)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/selinux)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/user)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/serviceaccount)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/ssh)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/etcdtest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/testing)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/util)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/testing)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/types)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/atomic)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/bandwidth)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/chmod)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/chown)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/config)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/configz)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/dbus)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/deployment)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/errors)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/exec)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flock)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flushwriter)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/hash)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/homedir)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/httpstream)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/httpstream/spdy)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/integer)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/interrupt)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/intstr)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/io)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/iptables)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/json)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/jsonpath)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/keymutex)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/labels)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/limitwriter)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/mount)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/net)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/net/sets)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/node)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/oom)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/parsers)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/pod)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/procfs)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/proxy)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/rand)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/replicaset)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/runtime)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/selinux)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/sets)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/slice)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/strategicpatch)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/strings)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/sysctl)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/system)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/term)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/validation)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/validation/field)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/wait)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/workqueue)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/wsstream)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/yaml)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/version)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/aws_ebs)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/azure_file)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/cephfs)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/cinder)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/configmap)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/downwardapi)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/empty_dir)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/fc)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/flexvolume)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/flocker)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/gce_pd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/git_repo)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/glusterfs)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/host_path)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/iscsi)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/nfs)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/persistent_claim)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/rbd)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/secret)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch/json)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/cmd/kube-scheduler/app)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/cmd/kube-scheduler/app/options)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/admit)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/alwayspullimages)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/deny)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/exec)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/initialresources)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/limitranger)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/autoprovision)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/exists)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/lifecycle)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/persistentvolume/label)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/resourcequota)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/securitycontext/scdeny)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/serviceaccount)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/password/passwordfile)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/basicauth)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/keystone)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/union)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/x509)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/oidc)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/tokenfile)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authorizer/webhook)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/predicates)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/priorities)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/priorities/util)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithmprovider)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithmprovider/defaults)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/latest)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/v1)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/validation)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/factory)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/metrics)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/schedulercache)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/test/e2e)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/json)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/reflect)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/expansion)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/netutil)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/template)) = 4a3f9c5b19c7ff804cbc1bf37a15c044ca5d2353
Provides: bundled(golang(speter.net/go/exp/math/dec/inf)) = 42ca6cd68aa922bc3f32f1e056e61b65945d9ad7

%description
Origin is a distribution of Kubernetes optimized for enterprise application
development and deployment, used by OpenShift 3 and Atomic Enterprise. Origin
adds developer and operational centric tools on top of Kubernetes to enable
rapid application development, easy deployment and scaling, and long-term
lifecycle maintenance for small and large teams and applications.

%package master
Summary:        %{product_name} Master
Requires:       %{name} = %{version}-%{release}
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:      openshift-master < %{package_refector_version}

%description master
%{summary}

%package tests
Summary: %{product_name} Test Suite
Requires:       %{name} = %{version}-%{release}

%description tests
%{summary}

%package node
Summary:        %{product_name} Node
Requires:       %{name} = %{version}-%{release}
Requires:       docker-io >= %{docker_version}
Requires:       tuned-profiles-%{name}-node = %{version}-%{release}
Requires:       util-linux
Requires:       socat
Requires:       nfs-utils
Requires:       ethtool
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:      openshift-node < %{package_refector_version}

%description node
%{summary}

%package -n tuned-profiles-%{name}-node
Summary:        Tuned profiles for %{product_name} Node hosts
Requires:       tuned >= %{tuned_version}
Obsoletes:      tuned-profiles-openshift-node < %{package_refector_version}

%description -n tuned-profiles-%{name}-node
%{summary}

%package clients
Summary:        %{product_name} Client binaries for Linux
Obsoletes:      openshift-clients < %{package_refector_version}
Requires:       git

%description clients
%{summary}

%if 0%{?make_redistributable}
%package clients-redistributable
Summary:        %{product_name} Client binaries for Linux, Mac OSX, and Windows
BuildRequires:  golang-pkg-darwin-amd64
BuildRequires:  golang-pkg-windows-386
Obsoletes:      openshift-clients-redistributable < %{package_refector_version}

%description clients-redistributable
%{summary}
%endif

%package dockerregistry
Summary:        Docker Registry v2 for %{product_name}
Requires:       %{name} = %{version}-%{release}

%description dockerregistry
%{summary}

%package pod
Summary:        %{product_name} Pod

%description pod
%{summary}

%package recycle
Summary:        %{product_name} Recycler
Requires:       %{name} = %{version}-%{release}

%description recycle
%{summary}

%package sdn-ovs
Summary:          %{product_name} SDN Plugin for Open vSwitch
Requires:         openvswitch >= %{openvswitch_version}
Requires:         %{name}-node = %{version}-%{release}
Requires:         bridge-utils
Requires:         ethtool
Requires:         procps-ng
Requires:         iproute
Obsoletes:        openshift-sdn-ovs < %{package_refector_version}

%description sdn-ovs
%{summary}

%prep
%setup -q -n origin-git-9999.9c5694f

%build

# Don't judge me for this ... it's so bad.
mkdir _build

# Horrid hack because golang loves to just bundle everything
pushd _build
    mkdir -p src/github.com/openshift
    ln -s $(dirs +1 -l) src/%{import_path}
popd


# Gaming the GOPATH to include the third party bundled libs at build
# time.
mkdir _thirdpartyhacks
pushd _thirdpartyhacks
    ln -s \
        $(dirs +1 -l)/Godeps/_workspace/src/ \
            src
popd
export GOPATH=$(pwd)/_build:$(pwd)/_thirdpartyhacks:%{buildroot}%{gopath}:%{gopath}
# Build all linux components we care about
for cmd in oc openshift dockerregistry recycle
do
        go install -ldflags "%{ldflags}" %{import_path}/cmd/${cmd}
done
go test -c -o _build/bin/extended.test -ldflags "%{ldflags}" %{import_path}/test/extended

%if 0%{?make_redistributable}
# Build clients for other platforms
GOOS=windows GOARCH=386 go install -ldflags "%{ldflags}" %{import_path}/cmd/oc
GOOS=darwin GOARCH=amd64 go install -ldflags "%{ldflags}" %{import_path}/cmd/oc
%endif

#Build our pod
pushd images/pod/
    go build -ldflags "%{ldflags}" pod.go
popd

%install

install -d %{buildroot}%{_bindir}

# Install linux components
for bin in oc openshift dockerregistry recycle
do
  echo "+++ INSTALLING ${bin}"
  install -p -m 755 _build/bin/${bin} %{buildroot}%{_bindir}/${bin}
done
install -d %{buildroot}%{_libexecdir}/%{name}
install -p -m 755 _build/bin/extended.test %{buildroot}%{_libexecdir}/%{name}/

%if 0%{?make_redistributable}
# Install client executable for windows and mac
install -d %{buildroot}%{_datadir}/%{name}/{linux,macosx,windows}
install -p -m 755 _build/bin/oc %{buildroot}%{_datadir}/%{name}/linux/oc
install -p -m 755 _build/bin/darwin_amd64/oc %{buildroot}/%{_datadir}/%{name}/macosx/oc
install -p -m 755 _build/bin/windows_386/oc.exe %{buildroot}/%{_datadir}/%{name}/windows/oc.exe
%endif

#Install pod
install -p -m 755 images/pod/pod %{buildroot}%{_bindir}/

install -d -m 0755 %{buildroot}%{_unitdir}

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

for cmd in \
    atomic-enterprise \
    kube-apiserver \
    kube-controller-manager \
    kube-proxy \
    kube-scheduler \
    kubelet \
    kubernetes \
    oadm \
    openshift-deploy \
    openshift-docker-build \
    openshift-f5-router \
    openshift-router \
    openshift-sti-build \
    origin
do
    ln -s %{_bindir}/openshift %{buildroot}%{_bindir}/$cmd
done

ln -s oc %{buildroot}%{_bindir}/kubectl

install -d -m 0755 %{buildroot}%{_sysconfdir}/origin/{master,node}

# different service for origin vs aos
install -m 0644 contrib/systemd/%{name}-master.service %{buildroot}%{_unitdir}/%{name}-master.service
install -m 0644 contrib/systemd/%{name}-node.service %{buildroot}%{_unitdir}/%{name}-node.service
# same sysconfig files for origin vs aos
install -m 0644 contrib/systemd/origin-master.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-master
install -m 0644 contrib/systemd/origin-node.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-node
install -d -m 0755 %{buildroot}%{_prefix}/lib/tuned/%{name}-node-{guest,host}
install -m 0644 contrib/tuned/origin-node-guest/tuned.conf %{buildroot}%{_prefix}/lib/tuned/%{name}-node-guest/tuned.conf
install -m 0644 contrib/tuned/origin-node-host/tuned.conf %{buildroot}%{_prefix}/lib/tuned/%{name}-node-host/tuned.conf
install -d -m 0755 %{buildroot}%{_mandir}/man7

# Patch the manpage for tuned profiles on aos
%if "%{dist}" == ".el7aos"
%{__sed} -e 's|origin-node|atomic-openshift-node|g' \
 -e 's|ORIGIN_NODE|ATOMIC_OPENSHIFT_NODE|' \
 contrib/tuned/man/tuned-profiles-origin-node.7 > %{buildroot}%{_mandir}/man7/tuned-profiles-%{name}-node.7
%else
install -m 0644 contrib/tuned/man/tuned-profiles-origin-node.7 %{buildroot}%{_mandir}/man7/tuned-profiles-%{name}-node.7
%endif

mkdir -p %{buildroot}%{_sharedstatedir}/origin


# Install sdn scripts
install -d -m 0755 %{buildroot}%{_unitdir}/docker.service.d
install -p -m 0644 contrib/systemd/docker-sdn-ovs.conf %{buildroot}%{_unitdir}/docker.service.d/
pushd _thirdpartyhacks/src/%{sdn_import_path}/plugins/osdn/ovs/bin
   install -p -m 755 openshift-sdn-ovs %{buildroot}%{_bindir}/openshift-sdn-ovs
   install -p -m 755 openshift-sdn-docker-setup.sh %{buildroot}%{_bindir}/openshift-sdn-docker-setup.sh
popd
install -d -m 0755 %{buildroot}%{_unitdir}/%{name}-node.service.d
install -p -m 0644 contrib/systemd/openshift-sdn-ovs.conf %{buildroot}%{_unitdir}/%{name}-node.service.d/openshift-sdn-ovs.conf

# Install bash completions
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m 644 contrib/completions/bash/* %{buildroot}%{_sysconfdir}/bash_completion.d/
# Generate atomic-enterprise bash completions
%{__sed} -e "s|openshift|atomic-enterprise|g" contrib/completions/bash/openshift > %{buildroot}%{_sysconfdir}/bash_completion.d/atomic-enterprise

%files
%doc README.md
%license LICENSE
%{_bindir}/openshift
%{_bindir}/atomic-enterprise
%{_bindir}/kube-apiserver
%{_bindir}/kube-controller-manager
%{_bindir}/kube-proxy
%{_bindir}/kube-scheduler
%{_bindir}/kubelet
%{_bindir}/kubernetes
%{_bindir}/oadm
%{_bindir}/openshift-deploy
%{_bindir}/openshift-docker-build
%{_bindir}/openshift-f5-router
%{_bindir}/openshift-router
%{_bindir}/openshift-sti-build
%{_bindir}/origin
%{_sharedstatedir}/origin
%{_sysconfdir}/bash_completion.d/atomic-enterprise
%{_sysconfdir}/bash_completion.d/oadm
%{_sysconfdir}/bash_completion.d/openshift
%dir %config(noreplace) %{_sysconfdir}/origin
%ghost %dir %config(noreplace) %{_sysconfdir}/origin
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed

%pre
# If /etc/openshift exists and /etc/origin doesn't, symlink it to /etc/origin
if [ -d "%{_sysconfdir}/openshift" ]; then
  if ! [ -d "%{_sysconfdir}/origin"  ]; then
    ln -s %{_sysconfdir}/openshift %{_sysconfdir}/origin
  fi
fi
if [ -d "%{_sharedstatedir}/openshift" ]; then
  if ! [ -d "%{_sharedstatedir}/origin"  ]; then
    ln -s %{_sharedstatedir}/openshift %{_sharedstatedir}/origin
  fi
fi

%files tests
%{_libexecdir}/%{name}
%{_libexecdir}/%{name}/extended.test


%files master
%{_unitdir}/%{name}-master.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-master
%config(noreplace) %{_sysconfdir}/origin/master
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.key
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.key
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.serial.txt
%ghost %config(noreplace) %{_sysconfdir}/origin/etcd.server.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/etcd.server.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master-config.yaml
%ghost %config(noreplace) %{_sysconfdir}/origin/master.etcd-client.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.etcd-client.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master.kubelet-client.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.kubelet-client.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master.server.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.server.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/policy.json
%ghost %config(noreplace) %{_sysconfdir}/origin/serviceaccounts.private.key
%ghost %config(noreplace) %{_sysconfdir}/origin/serviceaccounts.public.key
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed

%post master
%systemd_post %{name}-master.service
# Create master config and certs if both do not exist
if [[ ! -e %{_sysconfdir}/origin/master/master-config.yaml &&
     ! -e %{_sysconfdir}/origin/master/ca.crt ]]; then
  %{_bindir}/openshift start master --write-config=%{_sysconfdir}/origin/master
  # Create node configs if they do not already exist
  if ! find %{_sysconfdir}/origin/ -type f -name "node-config.yaml" | grep -E "node-config.yaml"; then
    %{_bindir}/oadm create-node-config --node-dir=%{_sysconfdir}/origin/node/ --node=localhost --hostnames=localhost,127.0.0.1 --node-client-certificate-authority=%{_sysconfdir}/origin/master/ca.crt --signer-cert=%{_sysconfdir}/origin/master/ca.crt --signer-key=%{_sysconfdir}/origin/master/ca.key --signer-serial=%{_sysconfdir}/origin/master/ca.serial.txt --certificate-authority=%{_sysconfdir}/origin/master/ca.crt
  fi
  # Generate a marker file that indicates config and certs were RPM generated
  echo "# Config generated by RPM at "`date -u` > %{_sysconfdir}/origin/.config_managed
fi


%preun master
%systemd_preun %{name}-master.service

%postun master
%systemd_postun

%files node
%{_unitdir}/%{name}-node.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-node
%config(noreplace) %{_sysconfdir}/origin/node
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed

%post node
%systemd_post %{name}-node.service

%preun node
%systemd_preun %{name}-node.service

%postun node
%systemd_postun

%files sdn-ovs
%dir %{_unitdir}/docker.service.d/
%dir %{_unitdir}/%{name}-node.service.d/
%{_bindir}/openshift-sdn-ovs
%{_bindir}/openshift-sdn-docker-setup.sh
%{_unitdir}/%{name}-node.service.d/openshift-sdn-ovs.conf
%{_unitdir}/docker.service.d/docker-sdn-ovs.conf

%posttrans sdn-ovs
# This path was installed by older packages but the directory wasn't owned by
# RPM so we need to clean it up otherwise kubelet throws an error trying to
# load the directory as a plugin
if [ -d %{kube_plugin_path} ]; then
  rmdir %{kube_plugin_path}
fi

%files -n tuned-profiles-%{name}-node
%license LICENSE
%{_prefix}/lib/tuned/%{name}-node-host
%{_prefix}/lib/tuned/%{name}-node-guest
%{_mandir}/man7/tuned-profiles-%{name}-node.7*

%post -n tuned-profiles-%{name}-node
recommended=`/usr/sbin/tuned-adm recommend`
if [[ "${recommended}" =~ guest ]] ; then
  /usr/sbin/tuned-adm profile %{name}-node-guest > /dev/null 2>&1
else
  /usr/sbin/tuned-adm profile %{name}-node-host > /dev/null 2>&1
fi

%preun -n tuned-profiles-%{name}-node
# reset the tuned profile to the recommended profile
# $1 = 0 when we're being removed > 0 during upgrades
if [ "$1" = 0 ]; then
  recommended=`/usr/sbin/tuned-adm recommend`
  /usr/sbin/tuned-adm profile $recommended > /dev/null 2>&1
fi

%files clients
%license LICENSE
%{_bindir}/oc
%{_bindir}/kubectl
%{_sysconfdir}/bash_completion.d/oc

%if 0%{?make_redistributable}
%files clients-redistributable
%dir %{_datadir}/%{name}/linux/
%dir %{_datadir}/%{name}/macosx/
%dir %{_datadir}/%{name}/windows/
%{_datadir}/%{name}/linux/oc
%{_datadir}/%{name}/macosx/oc
%{_datadir}/%{name}/windows/oc.exe
%endif

%files dockerregistry
%{_bindir}/dockerregistry

%files pod
%{_bindir}/pod

%files recycle
%{_bindir}/recycle


%changelog
* Tue Apr 05 2016 Troy Dawson <tdawson@redhat.com>
- Bug 1323710: fix deploy --cancel message on subsequent calls
  (mkargaki@redhat.com)
- Updates to the 503 application unavailable page. (sgoodwin@redhat.com)
- Improve display of logs in web console (spadgett@redhat.com)
- bump(github.com/openshift/source-to-image):
  641b22d0a5e7a77f7dab2b1e75f563ba59a4ec96 (rhcarvalho@gmail.com)
- elevate privilegs when removing etcd binary store (skuznets@redhat.com)
- Show pulling / terminated status in pods donut (spadgett@redhat.com)
- Update the postCommit hook godoc to reflect API (ccoleman@redhat.com)
- do not error on adding app label to objects if it exists (bparees@redhat.com)
- Add the openshift/origin-egress-router image (danw@redhat.com)
- remove credentials arg (aweiteka@redhat.com)
- remove atomic registry quickstart from images dir, also hack test script
  (aweiteka@redhat.com)
- Allow multiple routers to update route status (sross@redhat.com)
- change default volume size (gmontero@redhat.com)
- Bug 1322587 - NotFound error (404) when deleting layers is logged but we'll
  be continuing the execution. (maszulik@redhat.com)
- Separate out new-app code for reuse (ccoleman@redhat.com)
- Refactor new app and new build to use options struct (ccoleman@redhat.com)
- use restart sec to avoid default rate limit (pweil@redhat.com)
- Refactor start-build to use options style (ccoleman@redhat.com)
- Tolerate local Git repositories without an origin set (ccoleman@redhat.com)
- Add unique suffix to build post-hook containers (rhcarvalho@gmail.com)
- The router command should keep support for hostPort (ccoleman@redhat.com)
- UPSTREAM: 23586: don't sync deployment when pod selector is empty
  (jliggitt@redhat.com)
- UPSTREAM: 23586: validate that daemonsets don't have empty selectors on
  creation (jliggitt@redhat.com)
- no commit id in img name and add openshift org to image name for openshift-
  pipeline plugin extended test (gmontero@redhat.com)
- Set service account correctly in oadm registry, deprecate --credentials
  (jliggitt@redhat.com)
- Add tests for multiple IDPs (sgallagh@redhat.com)
- Encode provider name when redirecting to login page (jliggitt@redhat.com)
- Allow multiple web login methods (sgallagh@redhat.com)
- allow pvc by default (pweil@redhat.com)
- UPSTREAM: 23007: Kubectl shouldn't print throttling debug output
  (jliggitt@redhat.com)
- Resolve api groups in resolveresource (jliggitt@redhat.com)
- Improve provider selection page (jliggitt@redhat.com)
- fix a forgotten modification : 'sti->s2i' (qilin.wang@huawei.com)
- sort volumes for reconciliation (pweil@redhat.com)
- Fixed string formatting for glog.Infof in image prunning
  (maszulik@redhat.com)
- Set charset with content type (jliggitt@redhat.com)
- bump(github.com/openshift/source-to-image):
  48e62fd57bebba14e1d0f7a40a15b65dafa5458c (cewong@redhat.com)
- Fix 8162: project settings layout issues (admin@benjaminapetersen.me)
- UPSTREAM: 23456: don't sync daemonsets or controllers with selectors that
  match all pods (jliggitt@redhat.com)
- UPSTREAM: 23457: Do not track resource usage for host path volumes. They can
  contain loops. (jliggitt@redhat.com)
- UPSTREAM: 23325: Fix hairpin mode (jliggitt@redhat.com)
- UPSTREAM: 23019: Add a rate limiter to the GCE cloudprovider
  (jliggitt@redhat.com)
- UPSTREAM: 23141: kubelet: send all recevied pods in one update
  (jliggitt@redhat.com)
- UPSTREAM: 23143: Make kubelet default to 10ms for CPU quota if limit < 10m
  (jliggitt@redhat.com)
- UPSTREAM: 23034: Fix controller-manager race condition issue which cause
  endpoints flush during restart (jliggitt@redhat.com)
* Fri Sep 18 2015 Scott Dodson <sdodson@redhat.com> 0.2-9
- Rename from openshift -> origin
- Symlink /var/lib/origin to /var/lib/openshift if /var/lib/openshift exists

* Wed Aug 12 2015 Steve Milner <smilner@redhat.com> 0.2-8
- Master configs will be generated if none are found when the master is installed.
- Node configs will be generated if none are found when the master is installed.
- Additional notice file added if config is generated by the RPM.
- All-In-One services removed.

* Wed Aug 12 2015 Steve Milner <smilner@redhat.com> 0.2-7
- Added new ovs script(s) to file lists.

* Wed Aug  5 2015 Steve Milner <smilner@redhat.com> 0.2-6
- Using _unitdir instead of _prefix for unit data

* Fri Jul 31 2015 Steve Milner <smilner@redhat.com> 0.2-5
- Configuration location now /etc/origin
- Default configs created upon installation

* Tue Jul 28 2015 Steve Milner <smilner@redhat.com> 0.2-4
- Added AEP packages

* Mon Jan 26 2015 Scott Dodson <sdodson@redhat.com> 0.2-3
- Update to 21fb40637c4e3507cca1fcab6c4d56b06950a149
- Split packaging of openshift-master and openshift-node

* Mon Jan 19 2015 Scott Dodson <sdodson@redhat.com> 0.2-2
- new package built with tito

* Fri Jan 09 2015 Adam Miller <admiller@redhat.com> - 0.2-2
- Add symlink for osc command line tooling (merged in from jhonce@redhat.com)

* Wed Jan 07 2015 Adam Miller <admiller@redhat.com> - 0.2-1
- Update to latest upstream release
- Restructured some of the golang deps  build setup for restructuring done
  upstream

* Thu Oct 23 2014 Adam Miller <admiller@redhat.com> - 0-0.0.9.git562842e
- Add new patches from jhonce for systemd units

* Mon Oct 20 2014 Adam Miller <admiller@redhat.com> - 0-0.0.8.git562842e
- Update to latest master snapshot

* Wed Oct 15 2014 Adam Miller <admiller@redhat.com> - 0-0.0.7.git7872f0f
- Update to latest master snapshot

* Fri Oct 03 2014 Adam Miller <admiller@redhat.com> - 0-0.0.6.gite4d4ecf
- Update to latest Alpha nightly build tag 20141003

* Wed Oct 01 2014 Adam Miller <admiller@redhat.com> - 0-0.0.5.git6d9f1a9
- Switch to consistent naming, patch by jhonce

* Tue Sep 30 2014 Adam Miller <admiller@redhat.com> - 0-0.0.4.git6d9f1a9
- Add systemd and sysconfig entries from jhonce

* Tue Sep 23 2014 Adam Miller <admiller@redhat.com> - 0-0.0.3.git6d9f1a9
- Update to latest upstream.

* Mon Sep 15 2014 Adam Miller <admiller@redhat.com> - 0-0.0.2.git2647df5
- Update to latest upstream.
